summaryrefslogtreecommitdiff
path: root/tests/du/one-file-system
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-07 15:25:23 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commitec2064acc84d9cc6e0bfae04c591974efc449d8a (patch)
treefc20b7c780175d6f428c392ce333199c9b24e79f /tests/du/one-file-system
parent18b3231bbfdb1fe36c08511bda930588cc836c71 (diff)
downloadcoreutils-ec2064acc84d9cc6e0bfae04c591974efc449d8a.tar.xz
Convert tests/du/*, too.
Diffstat (limited to 'tests/du/one-file-system')
-rwxr-xr-xtests/du/one-file-system22
1 files changed, 4 insertions, 18 deletions
diff --git a/tests/du/one-file-system b/tests/du/one-file-system
index 07e6e9577..244887152 100755
--- a/tests/du/one-file-system
+++ b/tests/du/one-file-system
@@ -2,7 +2,7 @@
# Test for a bug in fts's handling of FTS_XDEV, the flag behind
# du's --one-file-system (-x) option.
-# Copyright (C) 2006 Free Software Foundation, Inc.
+# Copyright (C) 2006-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,22 +22,9 @@ if test "$VERBOSE" = yes; then
du --version
fi
-. $srcdir/../envvar-check
+. $srcdir/../test-lib.sh
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-mkdir -p b/c y/z || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+mkdir -p b/c y/z || framework_failure
fail=0
@@ -53,7 +40,6 @@ y/z
y
EOF
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
(exit $fail); exit $fail